Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# homogeneous_color_base< Element, Layout, 4 > Struct Template Reference
[detail::homogeneous_color_base]

`#include <color_base.hpp>`

List of all members.

## Detailed Description

### template<typename Element, typename Layout>
struct boost::gil::detail::homogeneous_color_base< Element, Layout, 4 >

A homogeneous color base holding four color elements. Models HomogeneousColorBaseConcept or HomogeneousColorBaseValueConcept.

## Public Types

typedef Layout | layout_t

## Public Member Functions

element_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 0 >)
element_const_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 0 >) const
element_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 1 >)
element_const_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 1 >) const
element_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 2 >)
element_const_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 2 >) const
element_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 3 >)
element_const_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 3 >) const
| homogeneous_color_base (Element v)
| homogeneous_color_base (Element v0, Element v1, Element v2, Element v3)
template<typename E2, typename L2>
| homogeneous_color_base (const homogeneous_color_base< E2, L2, 4 > &c)
template<typename E2, typename L2>
| homogeneous_color_base (homogeneous_color_base< E2, L2, 4 > &c)
template<typename P>
| homogeneous_color_base (P *p, bool)
template<typename Ref>
Ref | deref () const
template<typename Ptr>
| homogeneous_color_base (const Ptr &ptr, std::ptrdiff_t diff)
Element | at_c_dynamic (std::size_t i) const

The documentation for this struct was generated from the following file:

- color_base.hpp